version: v2
managed:
  enabled: true
  override:
    - file_option: go_package_prefix
      value: gitlab.com/opensourclab/scientific-data/pid/django-pid/grpc
plugins:
  - remote: buf.build/protocolbuffers/go
    out: grpc/go
    opt: paths=source_relative
  - remote: buf.build/bufbuild/connect-go
    out: grpc/go
    opt: paths=source_relative
  - remote: buf.build/grpc/python:v1.66.2
    out: grpc/python
  - remote: buf.build/protocolbuffers/python:v28.2
    out: grpc/python
  # dependencies
  - remote: buf.build/protocolbuffers/pyi:v28.2
    out: grpc/python
  - remote: buf.build/connectrpc/es:v1.5.0
    out: grpc/connectrpc-es
  # dependencies
  - remote: buf.build/bufbuild/es:v1.10.0
    out: grpc/connectrpc-es
  - remote: buf.build/bufbuild/connect-es
    out: grpc/connect-es
  - remote: buf.build/bufbuild/es:v2.1.0
    out: grpc/gen
  # - remote: buf.build/grpc/web:v1.5.0
  #   out: grpc/grpc-web
  # - remote: buf.build/protocolbuffers/js:v3.21.2
  #   out: grpc/grpc-web
